Foxit PDF SDK

Instance Methods | Properties | List of all members
FSMediaPlayer Class Reference
Inheritance diagram for FSMediaPlayer:

## Instance Methods
(FSPDFDictionary *) | - getDict
| Get the PDF dictionary of current object. More...
(id) | - initWithMedia_player_dict:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another media player object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Properties
NSArray< NSData * > * | oSIdentifiers
| Get or Set the string array that represents operating system identifiers. More...
NSString * | softwareURI
| Get or Set software URI that identifies a piece of software. More...

## Detailed Description

Class FSMediaPlayer provides methods to access to information regarding a specific media player.

## Method Documentation

## ◆ getDict()

- (FSPDFDictionary *) getDict |  |  |

Get the PDF dictionary of current object.

Returns
  PDF dictionary of current object. If there is any error, this function will return nil.

## ◆ initWithMedia_player_dict:()

- (id) initWithMedia_player_dict: |  | (FSPDFDictionary*) | media_player_dict |

Constructor, with parameters.

Usually, a media player object should be only be added to a rendition object with specified media player type. User is not recommended to add the same media player object to different renditions or different media player types of one rendition; otherwise unexpected issues (such as crash) may occur later. If user does not want to construct another media player and set same values, user can clone the dictionary of original media player object and use the cloned dictionary to construct another media player directly.

Parameters

  [in] | media_player_dict | The PDF dictionary for a media player object. If this is nil that means to construct a new media player object. Default value: nil.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSMediaPlayer*) | other |

Constructor, with another media player object.

Parameters

  [in] | other | Another media player object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## Property Documentation

## ◆ oSIdentifiers

- (NSArray< NSData * > *) oSIdentifiers
| read write nonatomic weak

Get or Set the string array that represents operating system identifiers.

Operating system identifiers in this array indicate which operating systems this object applies to. The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. There may not be multiple copies of the same identifier in the array.

## ◆ softwareURI

- (NSString *) softwareURI
| read write nonatomic weak

Get or Set software URI that identifies a piece of software.

For more details, please refer to <PDF reference 1.7> P780 "Software URIs".